import { StyleSheet } from "react-native";
import { colors } from "./colors";
import Matrics from "./Matrics";
import Fonts from "./fonts";

export const globalStyles = StyleSheet.create({
  shadowContainer: {
    shadowOffset: {width: 0, height: 0},
    shadowColor: colors.shadow,
    shadowOpacity: 0.2,
    shadowRadius: 4,
    elevation: 5,
  },
  indicatorStyle: {
    height: Matrics.vs(4),
    width: Matrics.s(45),
    backgroundColor: colors.inputBoxLightBorder,
    marginTop: Matrics.vs(12),
    borderRadius: Matrics.mvs(2),
  },
  header1: {
    fontFamily: Fonts.BOLD,
    fontSize: Matrics.mvs(32),
    lineHeight: 42,
    color: colors.primary,
  },
  header2: {
    fontFamily: Fonts.BOLD,
    fontSize: Matrics.mvs(24),
    lineHeight: 30,
    color: colors.primary,
  },
  header3: {
    fontFamily: Fonts.BOLD,
    fontSize: Matrics.mvs(20),
    lineHeight: 26,
    color: colors.primary,
  },
  header4: {
    fontFamily: Fonts.BOLD,
    fontSize: Matrics.mvs(16),
    lineHeight: 20,
    color: colors.primary,
  },
  header5: {
    fontFamily: Fonts.BOLD,
    fontSize: Matrics.mvs(14),
    lineHeight: 18,
    color: colors.primary,
  },
  body1: {
    fontFamily: Fonts.REGULAR,
    fontSize: Matrics.mvs(20),
    lineHeight: 26,
    color: colors.secondary,
  },
  body2: {
    fontFamily: Fonts.REGULAR,
    fontSize: Matrics.mvs(16),
    lineHeight: 20,
    color: colors.secondary,
  },
  body3: {
    fontFamily: Fonts.REGULAR,
    fontSize: Matrics.mvs(14),
    lineHeight: 18,
    color: colors.secondary,
  },
  body4: {
    fontFamily: Fonts.REGULAR,
    fontSize: Matrics.mvs(12),
    lineHeight: 16,
    color: colors.secondary,
  },
  button1: {
    fontFamily: Fonts.BOLD,
    fontSize: Matrics.mvs(16),
    lineHeight: 20,
    color: colors.primary,
  },
  button2: {
    fontFamily: Fonts.BOLD,
    fontSize: Matrics.mvs(14),
    lineHeight: 18,
    color: colors.primary,
  },
  button3: {
    fontFamily: Fonts.BOLD,
    fontSize: Matrics.mvs(12),
    lineHeight: 16,
    color: colors.primary,
  },

  //New Styling
  ONCO_HEADER_1: {
    fontFamily: Fonts.ONCO.BOLD_700,
    fontSize: Matrics.mvs(24),
    lineHeight: Matrics.mvs(30),
    color: colors.onco.activeBlack,
  },
  ONCO_HEADER_2: {
    fontFamily: Fonts.ONCO.BOLD_700,
    fontSize: Matrics.mvs(20),
    lineHeight: Matrics.mvs(26),
    color: colors.onco.activeBlack,
  },
  ONCO_HEADER_3: {
    fontFamily: Fonts.ONCO.BOLD_700,
    fontSize: Matrics.mvs(18),
    lineHeight: Matrics.mvs(24),
    color: colors.onco.activeBlack,
  },
  ONCO_HEADER_4: {
    fontFamily: Fonts.ONCO.BOLD_700,
    fontSize: Matrics.mvs(16),
    lineHeight: Matrics.mvs(20),
    color: colors.onco.activeBlack,
  },
  ONCO_BODY_REGULAR_1: {
    fontFamily: Fonts.ONCO.REGULAR_400,
    fontSize: Matrics.mvs(16),
    lineHeight: Matrics.mvs(24),
    color: colors.onco.activeBlack,
  },
  ONCO_BODY_BOLD_1: {
    fontFamily: Fonts.ONCO.BOLD_700,
    fontSize: Matrics.mvs(16),
    lineHeight: Matrics.mvs(24),
    color: colors.onco.activeBlack,
  },
  ONCO_BODY_REGULAR_2: {
    fontFamily: Fonts.ONCO.REGULAR_400,
    fontSize: Matrics.mvs(14),
    lineHeight: Matrics.mvs(22),
    color: colors.onco.activeBlack,
  },
  ONCO_BODY_BOLD_2: {
    fontFamily: Fonts.ONCO.BOLD_700,
    fontSize: Matrics.mvs(14),
    lineHeight: Matrics.mvs(22),
    color: colors.onco.activeBlack,
  },
  ONCO_BODY_REGULAR_3: {
    fontFamily: Fonts.ONCO.REGULAR_400,
    fontSize: Matrics.mvs(12),
    lineHeight: Matrics.mvs(20),
    color: colors.onco.activeBlack,
  },
  ONCO_BODY_BOLD_3: {
    fontFamily: Fonts.ONCO.BOLD_700,
    fontSize: Matrics.mvs(12),
    lineHeight: Matrics.mvs(20),
    color: colors.onco.activeBlack,
  },
  ONCO_CAPTION_REGULAR_1: {
    fontFamily: Fonts.ONCO.REGULAR_400,
    fontSize: Matrics.mvs(12),
    lineHeight: Matrics.mvs(16),
    color: colors.onco.activeBlack,
  },
  ONCO_CAPTION_BOLD_1: {
    fontFamily: Fonts.ONCO.BOLD_700,
    fontSize: Matrics.mvs(12),
    lineHeight: Matrics.mvs(16),
    color: colors.onco.activeBlack,
  },
  ONCO_CAPTION_REGULAR_2: {
    fontFamily: Fonts.ONCO.REGULAR_400,
    fontSize: Matrics.mvs(10),
    lineHeight: Matrics.mvs(14),
    color: colors.onco.activeBlack,
  },
  ONCO_CAPTION_BOLD_2: {
    fontFamily: Fonts.ONCO.BOLD_700,
    fontSize: Matrics.mvs(10),
    lineHeight: Matrics.mvs(14),
    color: colors.onco.activeBlack,
  },
});
